Skip to content
Install

Create a project-level ingress (returns the full project)

POST
/projects/{id}/ingresses
curl --request POST \
--url https://example.com/projects/example/ingresses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "host": "example", "tlsEnabled": true, "basicAuth": { "enabled": true, "password": "example", "username": "example" }, "routes": [ { "path": "example", "serviceName": "example", "servicePort": 1 } ] }'

Auth: authenticated (scope: deploy)

id
required
string
Media typeapplication/json
object
host
required
string
tlsEnabled
boolean
Any of:
object
basicAuth
object
enabled
required
boolean
password
string
username
string
routes
required
Array<object>
>= 1 items
object
path
required
string
serviceName
required
string
servicePort
required
integer

OK

Media typeapplication/json
object
key
additional properties

Example generated

{
"additionalProperty": "example"
}